------------------------------------------------------------
-- VHDL Logic
-- 2006 4 24 16 53 27
-- Created By "DXP VHDL Generator"
-- "Copyright (c) 2002-2004 Altium Limited"
------------------------------------------------------------

------------------------------------------------------------
-- VHDL Logic
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

Entity Logic Is
  port
  (
    BRAKE_EN_IN             : In    STD_LOGIC;
    CLK_IN                  : In    STD_LOGIC;
    DEC_EMERG_N             : In    STD_LOGIC;
    DEC_EMERG_N_LATCH       : Out   STD_LOGIC;
    DEC_EMERG_S             : In    STD_LOGIC;
    DEC_EMERG_S_LATCH       : Out   STD_LOGIC;
    DEC_OS                  : In    STD_LOGIC;
    DEC_OS_LATCH            : Out   STD_LOGIC;
    DEC_STOP_N              : In    STD_LOGIC;
    DEC_STOP_N_LATCH        : Out   STD_LOGIC;
    DEC_STOP_S              : In    STD_LOGIC;
    DEC_STOP_S_LATCH        : Out   STD_LOGIC;
    DOME1_OC                : In    STD_LOGIC;
    DOME1_OC_LATCH          : Out   STD_LOGIC;
    DOME2_OC                : In    STD_LOGIC;
    DOME2_OC_LATCH          : Out   STD_LOGIC;
    DOME3_OC                : In    STD_LOGIC;
    DOME3_OC_LATCH          : Out   STD_LOGIC;
    DOME_ENABLE             : Out   STD_LOGIC;
    EAST_OC                 : In    STD_LOGIC;
    EAST_OC_LATCH           : Out   STD_LOGIC;
    EMERG_STOP              : In    STD_LOGIC;
    EMERG_STOP_LATCH        : Out   STD_LOGIC;
    HA_EMERG_E              : In    STD_LOGIC;
    HA_EMERG_E_LATCH        : Out   STD_LOGIC;
    HA_EMERG_W              : In    STD_LOGIC;
    HA_EMERG_W_LATCH        : Out   STD_LOGIC;
    HA_OS                   : In    STD_LOGIC;
    HA_OS_LATCH             : Out   STD_LOGIC;
    HA_STOP_E               : In    STD_LOGIC;
    HA_STOP_E_LATCH         : Out   STD_LOGIC;
    HA_STOP_W               : In    STD_LOGIC;
    HA_STOP_W_LATCH         : Out   STD_LOGIC;
    HORIZON_STOP            : In    STD_LOGIC;
    HORIZON_STOP_LATCH      : Out   STD_LOGIC;
    HP_STOP                 : In    STD_LOGIC;
    HP_STOP_LATCH           : Out   STD_LOGIC;
    MTR_CNTR_ERR            : In    STD_LOGIC;
    MTR_CNTR_ERR_LATCH      : Out   STD_LOGIC;
    NORTH_OC                : In    STD_LOGIC;
    NORTH_OC_LATCH          : Out   STD_LOGIC;
    RESET                   : In    STD_LOGIC;
    SOUTH_OC                : In    STD_LOGIC;
    SOUTH_OC_LATCH          : Out   STD_LOGIC;
    SPARE1                  : In    STD_LOGIC;
    SPARE1_LATCH            : Out   STD_LOGIC;
    SPARE2                  : In    STD_LOGIC;
    SPARE2_LATCH            : Out   STD_LOGIC;
    SPARE3                  : In    STD_LOGIC;
    SPARE3_LATCH            : Out   STD_LOGIC;
    SPARE4                  : In    STD_LOGIC;
    SPARE4_LATCH            : Out   STD_LOGIC;
    SPARE5                  : In    STD_LOGIC;
    SPARE5_LATCH            : Out   STD_LOGIC;
    SPARE6                  : In    STD_LOGIC;
    SPARE6_LATCH            : Out   STD_LOGIC;
    TCS_LOCKOUT             : In    STD_LOGIC;
    TCS_LOCKOUT_LATCH       : Out   STD_LOGIC;
    TEL_ENABLE              : Out   STD_LOGIC;
    TOP_BRAKE_ENABLE_OUT    : Out   STD_LOGIC;
    TOP_DOMECNTL_HANDPADDLE : In    STD_LOGIC;
    TOP_DOMECNTL_SOFTWARE   : In    STD_LOGIC;
    TOP_LM_OVERRIDE_SWITCH  : In    STD_LOGIC;
    TOP_TCS_ENABLE          : Out   STD_LOGIC;
    TOP_TEL_ENABLE_SWITCH   : In    STD_LOGIC;
    WATCHDOG_TIMER          : In    STD_LOGIC;
    WATCHDOG_TIMER_LATCH    : Out   STD_LOGIC;
    WEST_OC                 : In    STD_LOGIC;
    WEST_OC_LATCH           : Out   STD_LOGIC
  );
  attribute MacroCell : boolean;

End Logic;
------------------------------------------------------------

------------------------------------------------------------
architecture structure of Logic is
   Component AND2
      port
      (
        I0 : in  STD_LOGIC;
        I1 : in  STD_LOGIC;
        O  : out STD_LOGIC
      );
   End Component;

   Component AND2B1
      port
      (
        I0 : in  STD_LOGIC;
        I1 : in  STD_LOGIC;
        O  : out STD_LOGIC
      );
   End Component;

   Component AND4B4
      port
      (
        I0 : in  STD_LOGIC;
        I1 : in  STD_LOGIC;
        I2 : in  STD_LOGIC;
        I3 : in  STD_LOGIC;
        O  : out STD_LOGIC
      );
   End Component;

   Component AND5B5
      port
      (
        I0 : in  STD_LOGIC;
        I1 : in  STD_LOGIC;
        I2 : in  STD_LOGIC;
        I3 : in  STD_LOGIC;
        I4 : in  STD_LOGIC;
        O  : out STD_LOGIC
      );
   End Component;

   Component BUF
      port
      (
        I : in  STD_LOGIC;
        O : out STD_LOGIC
      );
   End Component;

   Component FDC
      port
      (
        C   : in  STD_LOGIC;
        CLR : in  STD_LOGIC;
        D   : in  STD_LOGIC;
        Q   : out STD_LOGIC
      );
   End Component;

   Component ILD
      port
      (
        D : in  STD_LOGIC;
        G : in  STD_LOGIC;
        Q : out STD_LOGIC
      );
   End Component;

   Component INV
      port
      (
        I : in  STD_LOGIC;
        O : out STD_LOGIC
      );
   End Component;

   Component LDC
      port
      (
        CLR : in  STD_LOGIC;
        D   : in  STD_LOGIC;
        G   : in  STD_LOGIC;
        Q   : out STD_LOGIC
      );
   End Component;

   Component NAND2
      port
      (
        I0 : in  STD_LOGIC;
        I1 : in  STD_LOGIC;
        O  : out STD_LOGIC
      );
   End Component;

   Component NAND2B1
      port
      (
        I0 : in  STD_LOGIC;
        I1 : in  STD_LOGIC;
        O  : out STD_LOGIC
      );
   End Component;

   Component NAND3
      port
      (
        I0 : in  STD_LOGIC;
        I1 : in  STD_LOGIC;
        I2 : in  STD_LOGIC;
        O  : out STD_LOGIC
      );
   End Component;

   Component NAND5
      port
      (
        I0 : in  STD_LOGIC;
        I1 : in  STD_LOGIC;
        I2 : in  STD_LOGIC;
        I3 : in  STD_LOGIC;
        I4 : in  STD_LOGIC;
        O  : out STD_LOGIC
      );
   End Component;

   Component OR2
      port
      (
        I0 : in  STD_LOGIC;
        I1 : in  STD_LOGIC;
        O  : out STD_LOGIC
      );
   End Component;

   Component VCC
      port
      (
        P : out STD_LOGIC
      );
   End Component;


    Signal NamedSignal_DEC_EMERG_N_LATCH      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DEC_EMERG_N_LATCH
    Signal NamedSignal_DEC_EMERG_S_LATCH      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DEC_EMERG_S_LATCH
    Signal NamedSignal_DEC_OS_LATCH           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DEC_OS_LATCH
    Signal NamedSignal_DEC_STOP_N_LATCH       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DEC_STOP_N_LATCH
    Signal NamedSignal_DEC_STOP_S_LATCH       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DEC_STOP_S_LATCH
    Signal NamedSignal_DOME1_OC_LATCH         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DOME1_OC_LATCH
    Signal NamedSignal_DOME2_OC_LATCH         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DOME2_OC_LATCH
    Signal NamedSignal_DOME3_OC_LATCH         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DOME3_OC_LATCH
    Signal NamedSignal_EAST_OC_LATCH          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=EAST_OC_LATCH
    Signal NamedSignal_EMERG_STOP_LATCH       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=EMERG_STOP_LATCH
    Signal NamedSignal_HA_EMERG_E_LATCH       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=HA_EMERG_E_LATCH
    Signal NamedSignal_HA_EMERG_W_LATCH       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=HA_EMERG_W_LATCH
    Signal NamedSignal_HA_OS_LATCH            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=HA_OS_LATCH
    Signal NamedSignal_HA_STOP_E_LATCH        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=HA_STOP_E_LATCH
    Signal NamedSignal_HA_STOP_W_LATCH        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=HA_STOP_W_LATCH
    Signal NamedSignal_HORIZON_STOP_LATCH     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=HORIZON_STOP_LATCH
    Signal NamedSignal_HP_STOP_LATCH          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=HP_STOP_LATCH
    Signal NamedSignal_MTR_CNTR_ERR_LATCH     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MTR_CNTR_ERR_LATCH
    Signal NamedSignal_NORTH_OC_LATCH         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NORTH_OC_LATCH
    Signal NamedSignal_SOUTH_OC_LATCH         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SOUTH_OC_LATCH
    Signal NamedSignal_SPARE1_LATCH           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SPARE1_LATCH
    Signal NamedSignal_SPARE2_LATCH           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SPARE2_LATCH
    Signal NamedSignal_SPARE3_LATCH           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SPARE3_LATCH
    Signal NamedSignal_SPARE4_LATCH           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SPARE4_LATCH
    Signal NamedSignal_SPARE5_LATCH           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SPARE5_LATCH
    Signal NamedSignal_TCS_LOCKOUT_LATCH      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TCS_LOCKOUT_LATCH
    Signal NamedSignal_WATCHDOG_TIMER_LATCH   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WATCHDOG_TIMER_LATCH
    Signal NamedSignal_WEST_OC_LATCH          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WEST_OC_LATCH
    Signal PinSignal_U1_O                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=HA_OS_LATCH
    Signal PinSignal_U10_Q                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU9_I
    Signal PinSignal_U11_Q                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU11_Q
    Signal PinSignal_U12_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SPARE6_LATCH
    Signal PinSignal_U13_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=EAST_OC_LATCH
    Signal PinSignal_U14_Q                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU13_I
    Signal PinSignal_U15_Q                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=HA_STOP_W_LATCH
    Signal PinSignal_U16_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU16_O
    Signal PinSignal_U17_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU17_O
    Signal PinSignal_U18_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU17_I0
    Signal PinSignal_U19_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NORTH_OC_LATCH
    Signal PinSignal_U2_Q                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1_I
    Signal PinSignal_U20_Q                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU19_I
    Signal PinSignal_U21_Q                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=HA_STOP_E_LATCH
    Signal PinSignal_U22_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU18_I0
    Signal PinSignal_U23_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SOUTH_OC_LATCH
    Signal PinSignal_U24_Q                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU23_I
    Signal PinSignal_U25_Q                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=HA_EMERG_W_LATCH
    Signal PinSignal_U26_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU26_O
    Signal PinSignal_U27_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DOME1_OC_LATCH
    Signal PinSignal_U28_Q                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU27_I
    Signal PinSignal_U29_Q                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=HA_EMERG_E_LATCH
    Signal PinSignal_U3_Q                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU3_Q
    Signal PinSignal_U30_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DOME2_OC_LATCH
    Signal PinSignal_U31_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU31_O
    Signal PinSignal_U32_Q                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU30_I
    Signal PinSignal_U33_Q                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DEC_STOP_N_LATCH
    Signal PinSignal_U34_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DOME3_OC_LATCH
    Signal PinSignal_U35_Q                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU34_I
    Signal PinSignal_U36_Q                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DEC_STOP_S_LATCH
    Signal PinSignal_U37_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU37_O
    Signal PinSignal_U38_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU38_O
    Signal PinSignal_U39_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WATCHDOG_TIMER_LATCH
    Signal PinSignal_U4_Q                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU4_Q
    Signal PinSignal_U40_Q                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU39_I
    Signal PinSignal_U41_Q                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DEC_EMERG_N_LATCH
    Signal PinSignal_U42_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU38_I0
    Signal PinSignal_U43_Q                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU43_Q
    Signal PinSignal_U44_Q                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DEC_EMERG_S_LATCH
    Signal PinSignal_U45_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU45_O
    Signal PinSignal_U46_Q                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU12_I
    Signal PinSignal_U47_Q                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=HP_STOP_LATCH
    Signal PinSignal_U48_Q                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=HORIZON_STOP_LATCH
    Signal PinSignal_U49_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU49_O
    Signal PinSignal_U5_O                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DEC_OS_LATCH
    Signal PinSignal_U50_P                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU50_P
    Signal PinSignal_U51_Q                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU51_Q
    Signal PinSignal_U52_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU51_G
    Signal PinSignal_U53_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU45_I0
    Signal PinSignal_U54_Q                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MTR_CNTR_ERR_LATCH
    Signal PinSignal_U55_Q                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TCS_LOCKOUT_LATCH
    Signal PinSignal_U57_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU2_G
    Signal PinSignal_U58_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU45_I1
    Signal PinSignal_U59_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SPARE1_LATCH
    Signal PinSignal_U6_Q                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU5_I
    Signal PinSignal_U60_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SPARE4_LATCH
    Signal PinSignal_U61_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SPARE2_LATCH
    Signal PinSignal_U62_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SPARE5_LATCH
    Signal PinSignal_U63_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SPARE3_LATCH
    Signal PinSignal_U65_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=EMERG_STOP_LATCH
    Signal PinSignal_U66_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU51_CLR
    Signal PinSignal_U67_Q                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU66_I1
    Signal PinSignal_U68_Q                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU66_I0
    Signal PinSignal_U69_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU67_C
    Signal PinSignal_U7_Q                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU7_Q
    Signal PinSignal_U8_Q                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU8_Q
    Signal PinSignal_U9_O                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WEST_OC_LATCH

begin
    U69 : BUF
      Port Map
      (
        I => CLK_IN,
        O => PinSignal_U69_O
      );

    U68 : FDC
      Port Map
      (
        C   => PinSignal_U69_O,
        CLR => PinSignal_U52_O,
        D   => PinSignal_U67_Q,
        Q   => PinSignal_U68_Q
      );

    U67 : FDC
      Port Map
      (
        C   => PinSignal_U69_O,
        CLR => PinSignal_U52_O,
        D   => PinSignal_U38_O,
        Q   => PinSignal_U67_Q
      );

    U66 : AND2
      Port Map
      (
        I0 => PinSignal_U68_Q,
        I1 => PinSignal_U67_Q,
        O  => PinSignal_U66_O
      );

    U65 : INV
      Port Map
      (
        I => PinSignal_U43_Q,
        O => PinSignal_U65_O
      );

    U63 : INV
      Port Map
      (
        I => PinSignal_U11_Q,
        O => PinSignal_U63_O
      );

    U62 : INV
      Port Map
      (
        I => PinSignal_U8_Q,
        O => PinSignal_U62_O
      );

    U61 : INV
      Port Map
      (
        I => PinSignal_U7_Q,
        O => PinSignal_U61_O
      );

    U60 : INV
      Port Map
      (
        I => PinSignal_U4_Q,
        O => PinSignal_U60_O
      );

    U59 : INV
      Port Map
      (
        I => PinSignal_U3_Q,
        O => PinSignal_U59_O
      );

    U58 : OR2
      Port Map
      (
        I0 => TOP_DOMECNTL_HANDPADDLE,
        I1 => TOP_DOMECNTL_SOFTWARE,
        O  => PinSignal_U58_O
      );

    U57 : NAND2B1
      Port Map
      (
        I0 => PinSignal_U52_O,
        I1 => PinSignal_U66_O,
        O  => PinSignal_U57_O
      );

    U55 : ILD
      Port Map
      (
        D => TCS_LOCKOUT,
        G => PinSignal_U57_O,
        Q => PinSignal_U55_Q
      );

    U54 : ILD
      Port Map
      (
        D => MTR_CNTR_ERR,
        G => PinSignal_U57_O,
        Q => PinSignal_U54_Q
      );

    U53 : AND2B1
      Port Map
      (
        I0 => PinSignal_U52_O,
        I1 => PinSignal_U51_Q,
        O  => PinSignal_U53_O
      );

    U52 : INV
      Port Map
      (
        I => RESET,
        O => PinSignal_U52_O
      );

    U51 : LDC
      Port Map
      (
        CLR => PinSignal_U66_O,
        D   => PinSignal_U50_P,
        G   => PinSignal_U52_O,
        Q   => PinSignal_U51_Q
      );

    U50 : VCC
      Port Map
      (
        P => PinSignal_U50_P
      );

    U49 : NAND3
      Port Map
      (
        I0 => PinSignal_U53_O,
        I1 => BRAKE_EN_IN,
        I2 => TOP_TEL_ENABLE_SWITCH,
        O  => PinSignal_U49_O
      );

    U48 : ILD
      Port Map
      (
        D => HORIZON_STOP,
        G => PinSignal_U57_O,
        Q => PinSignal_U48_Q
      );

    U47 : ILD
      Port Map
      (
        D => HP_STOP,
        G => PinSignal_U57_O,
        Q => PinSignal_U47_Q
      );

    U46 : ILD
      Port Map
      (
        D => SPARE6,
        G => PinSignal_U57_O,
        Q => PinSignal_U46_Q
      );

    U45 : NAND2
      Port Map
      (
        I0 => PinSignal_U53_O,
        I1 => PinSignal_U58_O,
        O  => PinSignal_U45_O
      );

    U44 : ILD
      Port Map
      (
        D => DEC_EMERG_S,
        G => PinSignal_U57_O,
        Q => PinSignal_U44_Q
      );

    U43 : ILD
      Port Map
      (
        D => EMERG_STOP,
        G => PinSignal_U57_O,
        Q => PinSignal_U43_Q
      );

    U42 : AND4B4
      Port Map
      (
        I0 => NamedSignal_SPARE5_LATCH,
        I1 => NamedSignal_SPARE4_LATCH,
        I2 => NamedSignal_SPARE3_LATCH,
        I3 => NamedSignal_SPARE2_LATCH,
        O  => PinSignal_U42_O
      );

    U41 : ILD
      Port Map
      (
        D => DEC_EMERG_N,
        G => PinSignal_U57_O,
        Q => PinSignal_U41_Q
      );

    U40 : ILD
      Port Map
      (
        D => WATCHDOG_TIMER,
        G => PinSignal_U57_O,
        Q => PinSignal_U40_Q
      );

    U39 : INV
      Port Map
      (
        I => PinSignal_U40_Q,
        O => PinSignal_U39_O
      );

    U38 : NAND5
      Port Map
      (
        I0 => PinSignal_U42_O,
        I1 => PinSignal_U37_O,
        I2 => PinSignal_U31_O,
        I3 => PinSignal_U26_O,
        I4 => PinSignal_U17_O,
        O  => PinSignal_U38_O
      );

    U37 : AND4B4
      Port Map
      (
        I0 => NamedSignal_TCS_LOCKOUT_LATCH,
        I1 => NamedSignal_MTR_CNTR_ERR_LATCH,
        I2 => NamedSignal_HP_STOP_LATCH,
        I3 => NamedSignal_EMERG_STOP_LATCH,
        O  => PinSignal_U37_O
      );

    U36 : ILD
      Port Map
      (
        D => DEC_STOP_S,
        G => PinSignal_U57_O,
        Q => PinSignal_U36_Q
      );

    U35 : ILD
      Port Map
      (
        D => DOME3_OC,
        G => PinSignal_U57_O,
        Q => PinSignal_U35_Q
      );

    U34 : INV
      Port Map
      (
        I => PinSignal_U35_Q,
        O => PinSignal_U34_O
      );

    U33 : ILD
      Port Map
      (
        D => DEC_STOP_N,
        G => PinSignal_U57_O,
        Q => PinSignal_U33_Q
      );

    U32 : ILD
      Port Map
      (
        D => DOME2_OC,
        G => PinSignal_U57_O,
        Q => PinSignal_U32_Q
      );

    U31 : AND5B5
      Port Map
      (
        I0 => NamedSignal_DOME3_OC_LATCH,
        I1 => NamedSignal_DOME2_OC_LATCH,
        I2 => NamedSignal_DOME1_OC_LATCH,
        I3 => NamedSignal_DEC_OS_LATCH,
        I4 => NamedSignal_HA_OS_LATCH,
        O  => PinSignal_U31_O
      );

    U30 : INV
      Port Map
      (
        I => PinSignal_U32_Q,
        O => PinSignal_U30_O
      );

    U29 : ILD
      Port Map
      (
        D => HA_EMERG_E,
        G => PinSignal_U57_O,
        Q => PinSignal_U29_Q
      );

    U28 : ILD
      Port Map
      (
        D => DOME1_OC,
        G => PinSignal_U57_O,
        Q => PinSignal_U28_Q
      );

    U27 : INV
      Port Map
      (
        I => PinSignal_U28_Q,
        O => PinSignal_U27_O
      );

    U26 : AND5B5
      Port Map
      (
        I0 => NamedSignal_SOUTH_OC_LATCH,
        I1 => NamedSignal_NORTH_OC_LATCH,
        I2 => NamedSignal_EAST_OC_LATCH,
        I3 => NamedSignal_WEST_OC_LATCH,
        I4 => NamedSignal_WATCHDOG_TIMER_LATCH,
        O  => PinSignal_U26_O
      );

    U25 : ILD
      Port Map
      (
        D => HA_EMERG_W,
        G => PinSignal_U57_O,
        Q => PinSignal_U25_Q
      );

    U24 : ILD
      Port Map
      (
        D => SOUTH_OC,
        G => PinSignal_U57_O,
        Q => PinSignal_U24_Q
      );

    U23 : INV
      Port Map
      (
        I => PinSignal_U24_Q,
        O => PinSignal_U23_O
      );

    U22 : AND5B5
      Port Map
      (
        I0 => NamedSignal_HORIZON_STOP_LATCH,
        I1 => NamedSignal_DEC_EMERG_S_LATCH,
        I2 => NamedSignal_DEC_EMERG_N_LATCH,
        I3 => NamedSignal_DEC_STOP_S_LATCH,
        I4 => NamedSignal_DEC_STOP_N_LATCH,
        O  => PinSignal_U22_O
      );

    U21 : ILD
      Port Map
      (
        D => HA_STOP_E,
        G => PinSignal_U57_O,
        Q => PinSignal_U21_Q
      );

    U20 : ILD
      Port Map
      (
        D => NORTH_OC,
        G => PinSignal_U57_O,
        Q => PinSignal_U20_Q
      );

    U19 : INV
      Port Map
      (
        I => PinSignal_U20_Q,
        O => PinSignal_U19_O
      );

    U18 : AND2
      Port Map
      (
        I0 => PinSignal_U22_O,
        I1 => PinSignal_U16_O,
        O  => PinSignal_U18_O
      );

    U17 : OR2
      Port Map
      (
        I0 => PinSignal_U18_O,
        I1 => TOP_LM_OVERRIDE_SWITCH,
        O  => PinSignal_U17_O
      );

    U16 : AND5B5
      Port Map
      (
        I0 => NamedSignal_HA_EMERG_E_LATCH,
        I1 => NamedSignal_HA_EMERG_W_LATCH,
        I2 => NamedSignal_HA_STOP_E_LATCH,
        I3 => NamedSignal_HA_STOP_W_LATCH,
        I4 => NamedSignal_SPARE1_LATCH,
        O  => PinSignal_U16_O
      );

    U15 : ILD
      Port Map
      (
        D => HA_STOP_W,
        G => PinSignal_U57_O,
        Q => PinSignal_U15_Q
      );

    U14 : ILD
      Port Map
      (
        D => EAST_OC,
        G => PinSignal_U57_O,
        Q => PinSignal_U14_Q
      );

    U13 : INV
      Port Map
      (
        I => PinSignal_U14_Q,
        O => PinSignal_U13_O
      );

    U12 : INV
      Port Map
      (
        I => PinSignal_U46_Q,
        O => PinSignal_U12_O
      );

    U11 : ILD
      Port Map
      (
        D => SPARE3,
        G => PinSignal_U57_O,
        Q => PinSignal_U11_Q
      );

    U10 : ILD
      Port Map
      (
        D => WEST_OC,
        G => PinSignal_U57_O,
        Q => PinSignal_U10_Q
      );

    U9 : INV
      Port Map
      (
        I => PinSignal_U10_Q,
        O => PinSignal_U9_O
      );

    U8 : ILD
      Port Map
      (
        D => SPARE5,
        G => PinSignal_U57_O,
        Q => PinSignal_U8_Q
      );

    U7 : ILD
      Port Map
      (
        D => SPARE2,
        G => PinSignal_U57_O,
        Q => PinSignal_U7_Q
      );

    U6 : ILD
      Port Map
      (
        D => DEC_OS,
        G => PinSignal_U57_O,
        Q => PinSignal_U6_Q
      );

    U5 : INV
      Port Map
      (
        I => PinSignal_U6_Q,
        O => PinSignal_U5_O
      );

    U4 : ILD
      Port Map
      (
        D => SPARE4,
        G => PinSignal_U57_O,
        Q => PinSignal_U4_Q
      );

    U3 : ILD
      Port Map
      (
        D => SPARE1,
        G => PinSignal_U57_O,
        Q => PinSignal_U3_Q
      );

    U2 : ILD
      Port Map
      (
        D => HA_OS,
        G => PinSignal_U57_O,
        Q => PinSignal_U2_Q
      );

    U1 : INV
      Port Map
      (
        I => PinSignal_U2_Q,
        O => PinSignal_U1_O
      );

    -- Signal Assignments
    ---------------------
    DEC_EMERG_N_LATCH                <= PinSignal_U41_Q; -- ObjectKind=Net|PrimaryId=DEC_EMERG_N_LATCH
    DEC_EMERG_S_LATCH                <= PinSignal_U44_Q; -- ObjectKind=Net|PrimaryId=DEC_EMERG_S_LATCH
    DEC_OS_LATCH                     <= PinSignal_U5_O; -- ObjectKind=Net|PrimaryId=DEC_OS_LATCH
    DEC_STOP_N_LATCH                 <= PinSignal_U33_Q; -- ObjectKind=Net|PrimaryId=DEC_STOP_N_LATCH
    DEC_STOP_S_LATCH                 <= PinSignal_U36_Q; -- ObjectKind=Net|PrimaryId=DEC_STOP_S_LATCH
    DOME_ENABLE                      <= PinSignal_U45_O; -- ObjectKind=Net|PrimaryId=NetU45_O
    DOME1_OC_LATCH                   <= PinSignal_U27_O; -- ObjectKind=Net|PrimaryId=DOME1_OC_LATCH
    DOME2_OC_LATCH                   <= PinSignal_U30_O; -- ObjectKind=Net|PrimaryId=DOME2_OC_LATCH
    DOME3_OC_LATCH                   <= PinSignal_U34_O; -- ObjectKind=Net|PrimaryId=DOME3_OC_LATCH
    EAST_OC_LATCH                    <= PinSignal_U13_O; -- ObjectKind=Net|PrimaryId=EAST_OC_LATCH
    EMERG_STOP_LATCH                 <= PinSignal_U65_O; -- ObjectKind=Net|PrimaryId=EMERG_STOP_LATCH
    HA_EMERG_E_LATCH                 <= PinSignal_U29_Q; -- ObjectKind=Net|PrimaryId=HA_EMERG_E_LATCH
    HA_EMERG_W_LATCH                 <= PinSignal_U25_Q; -- ObjectKind=Net|PrimaryId=HA_EMERG_W_LATCH
    HA_OS_LATCH                      <= PinSignal_U1_O; -- ObjectKind=Net|PrimaryId=HA_OS_LATCH
    HA_STOP_E_LATCH                  <= PinSignal_U21_Q; -- ObjectKind=Net|PrimaryId=HA_STOP_E_LATCH
    HA_STOP_W_LATCH                  <= PinSignal_U15_Q; -- ObjectKind=Net|PrimaryId=HA_STOP_W_LATCH
    HORIZON_STOP_LATCH               <= PinSignal_U48_Q; -- ObjectKind=Net|PrimaryId=HORIZON_STOP_LATCH
    HP_STOP_LATCH                    <= PinSignal_U47_Q; -- ObjectKind=Net|PrimaryId=HP_STOP_LATCH
    MTR_CNTR_ERR_LATCH               <= PinSignal_U54_Q; -- ObjectKind=Net|PrimaryId=MTR_CNTR_ERR_LATCH
    NamedSignal_DEC_EMERG_N_LATCH    <= PinSignal_U41_Q; -- ObjectKind=Net|PrimaryId=DEC_EMERG_N_LATCH
    NamedSignal_DEC_EMERG_S_LATCH    <= PinSignal_U44_Q; -- ObjectKind=Net|PrimaryId=DEC_EMERG_S_LATCH
    NamedSignal_DEC_OS_LATCH         <= PinSignal_U5_O; -- ObjectKind=Net|PrimaryId=DEC_OS_LATCH
    NamedSignal_DEC_STOP_N_LATCH     <= PinSignal_U33_Q; -- ObjectKind=Net|PrimaryId=DEC_STOP_N_LATCH
    NamedSignal_DEC_STOP_S_LATCH     <= PinSignal_U36_Q; -- ObjectKind=Net|PrimaryId=DEC_STOP_S_LATCH
    NamedSignal_DOME1_OC_LATCH       <= PinSignal_U27_O; -- ObjectKind=Net|PrimaryId=DOME1_OC_LATCH
    NamedSignal_DOME2_OC_LATCH       <= PinSignal_U30_O; -- ObjectKind=Net|PrimaryId=DOME2_OC_LATCH
    NamedSignal_DOME3_OC_LATCH       <= PinSignal_U34_O; -- ObjectKind=Net|PrimaryId=DOME3_OC_LATCH
    NamedSignal_EAST_OC_LATCH        <= PinSignal_U13_O; -- ObjectKind=Net|PrimaryId=EAST_OC_LATCH
    NamedSignal_EMERG_STOP_LATCH     <= PinSignal_U65_O; -- ObjectKind=Net|PrimaryId=EMERG_STOP_LATCH
    NamedSignal_HA_EMERG_E_LATCH     <= PinSignal_U29_Q; -- ObjectKind=Net|PrimaryId=HA_EMERG_E_LATCH
    NamedSignal_HA_EMERG_W_LATCH     <= PinSignal_U25_Q; -- ObjectKind=Net|PrimaryId=HA_EMERG_W_LATCH
    NamedSignal_HA_OS_LATCH          <= PinSignal_U1_O; -- ObjectKind=Net|PrimaryId=HA_OS_LATCH
    NamedSignal_HA_STOP_E_LATCH      <= PinSignal_U21_Q; -- ObjectKind=Net|PrimaryId=HA_STOP_E_LATCH
    NamedSignal_HA_STOP_W_LATCH      <= PinSignal_U15_Q; -- ObjectKind=Net|PrimaryId=HA_STOP_W_LATCH
    NamedSignal_HORIZON_STOP_LATCH   <= PinSignal_U48_Q; -- ObjectKind=Net|PrimaryId=HORIZON_STOP_LATCH
    NamedSignal_HP_STOP_LATCH        <= PinSignal_U47_Q; -- ObjectKind=Net|PrimaryId=HP_STOP_LATCH
    NamedSignal_MTR_CNTR_ERR_LATCH   <= PinSignal_U54_Q; -- ObjectKind=Net|PrimaryId=MTR_CNTR_ERR_LATCH
    NamedSignal_NORTH_OC_LATCH       <= PinSignal_U19_O; -- ObjectKind=Net|PrimaryId=NORTH_OC_LATCH
    NamedSignal_SOUTH_OC_LATCH       <= PinSignal_U23_O; -- ObjectKind=Net|PrimaryId=SOUTH_OC_LATCH
    NamedSignal_SPARE1_LATCH         <= PinSignal_U59_O; -- ObjectKind=Net|PrimaryId=SPARE1_LATCH
    NamedSignal_SPARE2_LATCH         <= PinSignal_U61_O; -- ObjectKind=Net|PrimaryId=SPARE2_LATCH
    NamedSignal_SPARE3_LATCH         <= PinSignal_U63_O; -- ObjectKind=Net|PrimaryId=SPARE3_LATCH
    NamedSignal_SPARE4_LATCH         <= PinSignal_U60_O; -- ObjectKind=Net|PrimaryId=SPARE4_LATCH
    NamedSignal_SPARE5_LATCH         <= PinSignal_U62_O; -- ObjectKind=Net|PrimaryId=SPARE5_LATCH
    NamedSignal_TCS_LOCKOUT_LATCH    <= PinSignal_U55_Q; -- ObjectKind=Net|PrimaryId=TCS_LOCKOUT_LATCH
    NamedSignal_WATCHDOG_TIMER_LATCH <= PinSignal_U39_O; -- ObjectKind=Net|PrimaryId=WATCHDOG_TIMER_LATCH
    NamedSignal_WEST_OC_LATCH        <= PinSignal_U9_O; -- ObjectKind=Net|PrimaryId=WEST_OC_LATCH
    NORTH_OC_LATCH                   <= PinSignal_U19_O; -- ObjectKind=Net|PrimaryId=NORTH_OC_LATCH
    SOUTH_OC_LATCH                   <= PinSignal_U23_O; -- ObjectKind=Net|PrimaryId=SOUTH_OC_LATCH
    SPARE1_LATCH                     <= PinSignal_U59_O; -- ObjectKind=Net|PrimaryId=SPARE1_LATCH
    SPARE2_LATCH                     <= PinSignal_U61_O; -- ObjectKind=Net|PrimaryId=SPARE2_LATCH
    SPARE3_LATCH                     <= PinSignal_U63_O; -- ObjectKind=Net|PrimaryId=SPARE3_LATCH
    SPARE4_LATCH                     <= PinSignal_U60_O; -- ObjectKind=Net|PrimaryId=SPARE4_LATCH
    SPARE5_LATCH                     <= PinSignal_U62_O; -- ObjectKind=Net|PrimaryId=SPARE5_LATCH
    SPARE6_LATCH                     <= PinSignal_U12_O; -- ObjectKind=Net|PrimaryId=SPARE6_LATCH
    TCS_LOCKOUT_LATCH                <= PinSignal_U55_Q; -- ObjectKind=Net|PrimaryId=TCS_LOCKOUT_LATCH
    TEL_ENABLE                       <= PinSignal_U49_O; -- ObjectKind=Net|PrimaryId=NetU49_O
    TOP_BRAKE_ENABLE_OUT             <= PinSignal_U49_O; -- ObjectKind=Net|PrimaryId=NetU49_O
    TOP_TCS_ENABLE                   <= PinSignal_U53_O; -- ObjectKind=Net|PrimaryId=NetU45_I0
    WATCHDOG_TIMER_LATCH             <= PinSignal_U39_O; -- ObjectKind=Net|PrimaryId=WATCHDOG_TIMER_LATCH
    WEST_OC_LATCH                    <= PinSignal_U9_O; -- ObjectKind=Net|PrimaryId=WEST_OC_LATCH

end structure;
------------------------------------------------------------

